const system = require("../../../system");
const ServiceBase = require("../../sve.base")
const settings = require("../../../../config/settings")
class MerchantService extends ServiceBase {
  constructor() {
    super("merchant", ServiceBase.getDaoName(MerchantService));

    // 举例
    this.oplogSve = system.getObject("service.common.oplogSve");
  }

  async apiNameList(params) {
    try {
      return await this.nameList(params);
    } catch (error) {
      console.log(error)
      return system.getResult(null, "接口异常");
    }
  }

  // -----------------------以此间隔，上面为API，下面为service---------------------------------

  async nameList() {
    var nameList = await this.dao.nameList();
    return system.getResultSuccess(nameList);
  }
}
module.exports = MerchantService;
